/* Terraform - (C) 1997-1999 Robert Gasch (Robert_Gasch@peoplesoft.com)
 *  - www.peoplesoft.com/peoplepages/g/robert_gasch/terraform/
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 */


#include "TFCListMainWin.h"
#include <string.h>
#include "GlobalTrace.h"
#include "MenuDefs.h"
#include "TFWindowHandler.h"


/*
 *  constructor: inherit CList and provide signal implementations
 * 	to handle the different events the CList can handle. 
 */
TFCListMainWin::TFCListMainWin (int nCols) : Gtk_CList (nCols)
{
	GlobalTrace::trace (GlobalTrace::TRACE_FLOW, "+++ TFCListMainWin\n");
}


/*
 *  destructor: clean up 
 */
TFCListMainWin::~TFCListMainWin()
{
	GlobalTrace::trace (GlobalTrace::TRACE_FLOW, "--- TFCListMainWin\n");
}


/*
 *  clistMenuCallback: process a menu choice in the file menu
 */
void TFCListMainWin::clistMenuCallback (string m)
{
	int		rc=0;
	char		*menuitem = const_cast<char*>(m.c_str());
	HeightField	*HF = NULL;

	if (!strcmp (menuitem, MENU_CLIST_HIDE))
		{
		}
	else
	if (!strcmp (menuitem, MENU_CLIST_SHOW))
		{
		}
	else
		SanityCheck::bailout (TRUE, "uncaught <file> menuitem", "TFCListMainWin::clistMenuCallback");

	if (rc)
		g_print ("Warning: last command returned an Error (%d)\n", rc);
	fflush (stdout);
}

